package com.project.android.api.model;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

import java.util.List;

//مدل پاسخ ارسال پیامک

public class SendSmsRes {

    @SerializedName("SuccessCount")
    @Expose
    private Integer successCount;
    @SerializedName("DataList")
    @Expose
    private List<Data> dataList = null;
    @SerializedName("R_Success")
    @Expose
    private Boolean rSuccess;
    @SerializedName("R_Error")
    @Expose
    private Object rError;
    @SerializedName("R_Code")
    @Expose
    private Integer rCode;
    @SerializedName("R_Message")
    @Expose
    private String rMessage;

    public Integer getSuccessCount() {
        return successCount;
    }

    public void setSuccessCount(Integer successCount) {
        this.successCount = successCount;
    }

    public List<Data> getDataList() {
        return dataList;
    }

    public void setDataList(List<Data> dataList) {
        this.dataList = dataList;
    }

    public Boolean getRSuccess() {
        return rSuccess;
    }

    public void setRSuccess(Boolean rSuccess) {
        this.rSuccess = rSuccess;
    }

    public Object getRError() {
        return rError;
    }

    public void setRError(Object rError) {
        this.rError = rError;
    }

    public Integer getRCode() {
        return rCode;
    }

    public void setRCode(Integer rCode) {
        this.rCode = rCode;
    }

    public String getRMessage() {
        return rMessage;
    }

    public void setRMessage(String rMessage) {
        this.rMessage = rMessage;
    }
}
